package net.woodyfolsom.msproj.policy;

import net.woodyfolsom.msproj.GameConfig;
import net.woodyfolsom.msproj.GameState;

public class MonteCarloTreeNode extends GameTreeNode {
	private int numVisits;
	private int numWins;
	
	public MonteCarloTreeNode(GameConfig gameConfig, GameState gameState,
			String player) {
		super(gameConfig, gameState, player);
	}

	public int getNumVisits() {
		return numVisits;
	}

	public void setNumVisits(int numVisits) {
		this.numVisits = numVisits;
	}

	public int getNumWins() {
		return numWins;
	}

	public void setNumWins(int numWins) {
		this.numWins = numWins;
	}
}
